package com.ruoyi.common.constant;

/**公共常量
 * @Author: tjf
 * @Date: 2023/2/23 15:01
 * @Describe:
 */
public class CommonConstants {
    /**
     * 自动生成的项目编号,redis
     */
    public static final String XMBH = "xmbh:";
    //项目编号头
    public static final String ZS = "ZS";
    //数字常量
    public static final String ONE = "1";
    public static final String TWO = "2";
    public static final String THR = "3";
    public static final String FOR = "4";
    public static final String FIV = "5";
    public static final String SIX = "6";
    public static final String SEV = "7";
    public static final String EIG = "8";
    public static final String NIN = "9";
    public static final String TEN = "10";
    public static final String ELE = "11";
    public static final String TWE = "12";
    //项目进度
    public static final String  XMJD_ST= "项目首谈";
    public static final String  XMJD_CJ= "项目承接";
    public static final String  XMJD_QY= "项目签约";
    public static final String  XMJD_KG= "项目开工";
    public static final String  XMJD_TC= "项目投产 ";

    //角色权限
    //超级管理员
    public static final String  ADMIN= "admin";
    //平台管理员
    public static final String  MANAGE= "manage";
    //市级领导
    public static final String  LEADER= "leader";
    //承接地
    public static final String  CJD= "cjd";
    //市直部门
    public static final String  SZBM= "szbm";
    //要素部门
    public static final String  YSBM= "ysbm";
    //缓存首页统计数据
    public static final String  INDEX= "index:";
    //错误表述
    public static final String  ERROR= "error";

    //首谈/承接/签约/开工/投产/省库
    public static final String  ST= "st";
    public static final String  CJ= "cj";
    public static final String  QY= "qy";
    public static final String  KG= "kg";
    public static final String  TC= "tc";
    public static final String  SK= "sk";

    //督办期限判断
    public static final String  STSHQX= "首谈审核期限 ";
    public static final String  YSBMSHQX= "要素部门审核期限 ";
    public static final String  CJDCJQX= "承接地承接期限 ";
    public static final String  QYLRQX= "签约信息录入期限 ";
    public static final String  QYSHQX= "签约信息审核期限 ";
    public static final String  KGLRQX= "开工信息录入期限 ";
    public static final String  KGSHQX= "开工信息审核期限 ";
    public static final String  TCLRQX= "投产信息录入期限 ";
    public static final String  TCSHQX= "投产信息审核期限 ";




}
