package com.ruoyi.system.mapper.projectV2;

import java.util.List;
import com.ruoyi.system.domain.projectV2.XmProjectPersion;
import org.apache.ibatis.annotations.Param;

/**
 * 项目投资方-自然人Mapper接口
 * 
 * @author ruoyi
 * @date 2023-02-23
 */
public interface XmProjectPersionMapper 
{
    /**
     * 查询项目投资方-自然人
     * 
     * @param id 项目投资方-自然人ID
     * @return 项目投资方-自然人
     */
    public XmProjectPersion selectXmProjectPersionById(Long id);

    /**
     * 查询项目投资方-自然人列表
     * 
     * @param xmProjectPersion 项目投资方-自然人
     * @return 项目投资方-自然人集合
     */
    public List<XmProjectPersion> selectXmProjectPersionList(XmProjectPersion xmProjectPersion);

    /**
     * 新增项目投资方-自然人
     * 
     * @param xmProjectPersion 项目投资方-自然人
     * @return 结果
     */
    public int insertXmProjectPersion(XmProjectPersion xmProjectPersion);

    /**
     * 修改项目投资方-自然人
     * 
     * @param xmProjectPersion 项目投资方-自然人
     * @return 结果
     */
    public int updateXmProjectPersion(XmProjectPersion xmProjectPersion);

    /**
     * 删除项目投资方-自然人
     * 
     * @param id 项目投资方-自然人ID
     * @return 结果
     */
    public int deleteXmProjectPersionById(Long id);

    /**
     * 批量删除项目投资方-自然人
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteXmProjectPersionByIds(Long[] ids);

    void updateXmProjectPersionByXmbh(@Param("id") Long id,@Param("xmmc")String xmmc, @Param("xmbh")String xmbh);
}
